org.springframework.batch.sample.domain.trade.internal

## Class CustomerCreditRowMapper

- java.lang.Object
- - org.springframework.batch.sample.domain.trade.internal.CustomerCreditRowMapper

- All Implemented Interfaces:
    org.springframework.jdbc.core.RowMapper<CustomerCredit>

      public class CustomerCreditRowMapper
      extends java.lang.Object
      implements org.springframework.jdbc.core.RowMapper<CustomerCredit>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CREDIT_COLUMN`
    `static java.lang.String` | `ID_COLUMN`
    `static java.lang.String` | `NAME_COLUMN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomerCreditRowMapper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CustomerCredit` | `mapRow(java.sql.ResultSet rs, int rowNum)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID_COLUMN

          public static final java.lang.String ID_COLUMN

      See Also:
        Constant Field Values

    - #### NAME_COLUMN

          public static final java.lang.String NAME_COLUMN

      See Also:
        Constant Field Values

    - #### CREDIT_COLUMN

          public static final java.lang.String CREDIT_COLUMN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CustomerCreditRowMapper

          public CustomerCreditRowMapper()

  - ### Method Detail

    - #### mapRow

          public CustomerCredit mapRow(java.sql.ResultSet rs,
                                       int rowNum)
                                throws java.sql.SQLException

      Specified by:
        `mapRow` in interface `org.springframework.jdbc.core.RowMapper<CustomerCredit>`
      Throws:
        `java.sql.SQLException`